# class Typhoeus::Response

### Public Instance Methods

has_valid_hash?(error_404_hash, homepage_hash) click to toggle source

Compare the body hash to error_404_hash and homepage_hash returns true if they are different, false otherwise

@return [ Boolean ]

    # File lib/common/hacks.rb, line 40
    def has_valid_hash?(error_404_hash, homepage_hash)
      body_hash = WebSite.page_hash(self)

      body_hash != error_404_hash && body_hash != homepage_hash
    end